package com.neurosdk2;

import com.facebook.proguard.annotations.DoNotStrip;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.Promise;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.WritableArray;
import com.facebook.react.bridge.WritableMap;

abstract class Neurosdk2Spec extends ReactContextBaseJavaModule {
  Neurosdk2Spec(ReactApplicationContext context) {
    super(context);
  }
  @ReactMethod
  @DoNotStrip
  public abstract void createScanner(ReadableArray filters, Promise promise);

  @ReactMethod
  @DoNotStrip
  public abstract void closeScanner(String guid, Promise promise);

  @ReactMethod
  @DoNotStrip
  public abstract void startScan(String guid, Promise promise);

  @ReactMethod
  @DoNotStrip
  public abstract void stopScan(String guid, Promise promise);

  @ReactMethod
  @DoNotStrip
  public abstract void createSensor(String guid, ReadableMap sensorInfo, Promise promise);

  @ReactMethod
  @DoNotStrip
  public abstract void getSensors(String guid, Promise promise);

  @ReactMethod
  @DoNotStrip
  public abstract void closeSensor(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void connectSensor(String guid, Promise promise);

  @ReactMethod
  @DoNotStrip
  public abstract void disconnectSensor(String guid, Promise promise);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract WritableArray supportedFeatures(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract boolean isSupportedFeature(String guid, double feature);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract WritableArray supportedCommands(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract boolean isSupportedCommand(String guid, double command);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract WritableArray supportedParameters(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract boolean isSupportedParameter(String guid, double parameter);

  @ReactMethod
  @DoNotStrip
  public abstract void execCommand(String guid, double command, Promise promise);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract String getName(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setName(String guid, String name);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getState(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract String getAddress(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract String getSerialNumber(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setSerialNumber(String guid, String sn);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getBattPower(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getSamplingFrequency(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getGain(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getDataOffset(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getFirmwareMode(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract WritableMap getVersion(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getChannelsCount(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getSensFamily(String guid);


  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getSamplingFrequencyResist(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getAmpMode(String guid);



  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getSamplingFrequencyFPG(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getIrAmplitude(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setIrAmplitude(String guid, double amp);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getRedAmplitude(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setRedAmplitude(String guid, double amp);

  @ReactMethod
  @DoNotStrip
  public abstract void pingNeuroSmart(String guid, double marker, Promise promise);


  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract boolean isSupportedFilter(String guid, double filter);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract WritableArray getSupportedFilters(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract WritableArray getHardwareFilters(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setHardwareFilters(String guid, ReadableArray filters);

  @ReactMethod
  @DoNotStrip
  public abstract void setFirmwareMode(String guid, double mode);

  @ReactMethod
  @DoNotStrip
  public abstract void setSamplingFrequency(String guid, double sf);

  @ReactMethod
  @DoNotStrip
  public abstract void setGain(String guid, double gain);

  @ReactMethod
  @DoNotStrip
  public abstract void setDataOffset(String guid, double offset);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getExtSwInput(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setExtSwInput(String guid, double extSwInp);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getADCInput(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setADCInput(String guid, double adcInp);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract WritableMap getStimulatorMAState(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract WritableMap getStimulatorParam(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setStimulatorParam(String guid, ReadableMap param);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract WritableMap getMotionAssistantParam(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setMotionAssistantParam(String guid, ReadableMap param);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract WritableMap getMotionCounterParam(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setMotionCounterParam(String guid, ReadableMap param);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getMotionCounter(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getColor(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract boolean getMEMSCalibrateState(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getSamplingFrequencyResp(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getSamplingFrequencyEnvelope(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getSamplingFrequencyMEMS(String guid);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getSignalType(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setSignalType(String guid, double type);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getElectrodeState(String guid);


  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getAccSens(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setAccSens(String guid, double accSens);

  @ReactMethod(isBlockingSynchronousMethod = true)
  @DoNotStrip
  public abstract double getGyroSens(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setGyroSens(String guid, double gyroSens);


  @ReactMethod
  @DoNotStrip
  public abstract double getSurveyId(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setSurveyId(String guid, double id);

  @ReactMethod
  @DoNotStrip
  public abstract WritableArray getSupportedChannels(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract WritableMap getAmplifierParam(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract void setAmplifierParam(String guid, ReadableMap param);




  @ReactMethod
  @DoNotStrip
  public abstract WritableMap getAmplifierParamBB2(String guid);

  @ReactMethod
  @DoNotStrip
  public abstract double setAmplifierParamBB2(String guid, ReadableMap param);


}
