//
//  AFullHeader.h
//  Neurosdk2
//
//  Created by Aseatari on 04.05.2023.
//

#import <React/RCTBridgeModule.h>
#import <neurosdk2/neurosdk.h>




@interface AFullSensor : NSObject

- (void) addCallbacks;
- (void) removeCallbacks;

- (void)closeSensor;

- (void)connectSensor;

- (void)disconnectSensor;

- (void)execCommand:(NSNumber*_Nonnull)command;

- (NSString *_Nonnull)getAddress;

- (NSNumber *_Nonnull)getBattPower;

- (NSNumber *_Nonnull)getChannelsCount;

- (NSNumber *_Nonnull)getFirmwareMode;

- (NSString *_Nonnull)getName;

- (NSNumber *_Nonnull)getSamplingFrequency;

- (NSNumber *_Nonnull)getSensFamily;

- (NSString *_Nonnull)getSerialNumber;

- (NSNumber *_Nonnull)getState;

- (NSDictionary *_Nonnull)getVersion;

- (NSNumber *_Nonnull)isSupportedCommand:(NSNumber*_Nonnull)command;

- (NSNumber *_Nonnull)isSupportedFeature:(NSNumber*_Nonnull)feature;

- (NSNumber *_Nonnull)isSupportedParameter:(NSNumber*_Nonnull)parameter;

- (void)setName:(NSString *_Nonnull)name;

- (void)setSerialNumber:(NSString *_Nonnull)sn;

- (NSArray<NSNumber *> *_Nonnull)supportedFeatures;

- (NSArray<NSDictionary *> *_Nonnull)supportedParameters;

- (NSArray<NSNumber *> *_Nonnull)supportedCommands;

- (NSNumber *_Nonnull)getAmpMode;

- (NSNumber *_Nonnull)getSamplingFrequencyResist;


- (NSNumber *_Nonnull)getSamplingFrequencyFPG;

- (NSNumber *_Nonnull)getIrAmplitude;

- (NSNumber *_Nonnull)getRedAmplitude;

- (void)setRedAmplitude:(NTRedAmplitude)amp;

- (void)setIrAmplitude:(NTIrAmplitude)amp;

- (void)pingNeuroSmart:(NSNumber*_Nonnull)marker;


- (NSNumber *_Nonnull)isSupportedFilter:(NSNumber*_Nonnull)filter;

- (NSNumber *_Nonnull)getADCInput;

- (NSNumber *_Nonnull)getColor;

- (NSNumber *_Nonnull)getDataOffset;

- (NSNumber *_Nonnull)getExtSwInput;

- (NSNumber *_Nonnull)getGain;

- (NSNumber *_Nonnull)getMotionCounter;

- (NSNumber *_Nonnull)getMEMSCalibrateState;

- (NSNumber *_Nonnull)getSamplingFrequencyResp;

- (NSNumber *_Nonnull)getSamplingFrequencyEnvelope;

- (NSNumber *_Nonnull)getElectrodeState;

- (NSNumber *_Nonnull)getSignalType;

- (NSDictionary *_Nonnull)getStimulatorMAState;

- (NSDictionary *_Nonnull)getStimulatorParam;

- (void)getMotionAssistantParam:(NSMutableDictionary *_Nonnull)result;

- (void)getMotionCounterParam:(NSMutableDictionary *_Nonnull)result;

- (void)getSupportedFilters:(NSMutableArray<NSNumber *> *_Nonnull)result;

- (void)getHardwareFilters:(NSMutableArray<NSNumber *> *_Nonnull)result;

- (void)setGain:(NTSensorGain)gain;

- (void)setADCInput:(NTSensorADCInput)adcInp;

- (void)setDataOffset:(NTSensorDataOffset)offset;

- (void)setFirmwareMode:(NTSensorFirmwareMode)mode;

- (void)setSamplingFrequency:(NTSensorSamplingFrequency)sf;

- (void)setExtSwInput:(NTSensorExternalSwitchInput)extSwInp;

- (void)setMotionAssistantParam:(NTCallibriMotionAssistantParams*_Nonnull)param;

- (void)setMotionCounterParam:(NTCallibriMotionCounterParam*_Nonnull)param;

- (void)setHardwareFilters:(NSArray *_Nonnull)filters;

- (void)setSignalType:(NTCallibriSignalType)type;

- (void)setStimulatorParam:(NTCallibriStimulationParams*_Nonnull)param;


- (NSNumber *_Nonnull)getAccSens;

- (NSNumber *_Nonnull)getGyroSens;

- (void)setAccSens:(NTSensorAccelerometerSensitivity)accSens;

- (void)setGyroSens:(NTSensorGyroscopeSensitivity)gyroSens;

- (NSNumber *_Nonnull)getSamplingFrequencyMEMS;


- (NSNumber *_Nonnull)getSurveyId;

- (void)setSurveyId:(NSNumber*_Nonnull)id;

- (NSDictionary *_Nonnull)getAmplifierParam;

- (void)setAmplifierParam:(NTNeuroEEGAmplifierParam*_Nonnull)param;


- (NSArray *_Nullable)getSupportedChannels; 




- (NSDictionary *_Nonnull)getAmplifierParamBB2;

- (void)setAmplifierParamBB2:(NTBrainBit2AmplifierParam*_Nonnull)param;


@end
