//
//  ScannerHolder.h
//  Neurosdk2
//
//  Created by Aseatari on 02.05.2023.
//

#ifndef ScannerHolder_h
#define ScannerHolder_h

#import <React/RCTBridgeModule.h>
#import <neurosdk2/neurosdk.h>

@interface ScannerHolder : NSObject

- (nonnull instancetype)init;

@property (nonatomic,weak,readwrite) NSObject* _Nullable rncontext;

- (void) createScanner:(NSArray *_Nonnull)filters
               resolve:(RCTPromiseResolveBlock _Nonnull )resolve
                reject:(RCTPromiseRejectBlock _Nonnull )reject
             rncontext:(NSObject* _Nonnull)rncontext;

- (void) closeScanner:(NSString *_Nonnull)guid
             resolve:(RCTPromiseResolveBlock _Nonnull )resolve
              reject:(RCTPromiseRejectBlock _Nonnull )reject;

- (NTScanner*_Nullable) getScanner:(NSString*_Nonnull)guid;

- (void) startScan:(NSString *_Nonnull)guid
          resolve:(RCTPromiseResolveBlock _Nonnull )resolve
           reject:(RCTPromiseRejectBlock _Nonnull )reject;

- (void) stopScan:(NSString *_Nonnull)guid
         resolve:(RCTPromiseResolveBlock _Nonnull )resolve
          reject:(RCTPromiseRejectBlock _Nonnull )reject;

- (void) getSensors:(NSString *_Nonnull)guid
           resolve:(RCTPromiseResolveBlock _Nonnull )resolve
            reject:(RCTPromiseRejectBlock _Nonnull )reject;

@end

#endif /* ScannerHolder_h */
