import { NativeModules, Platform } from 'react-native';

const LINKING_ERROR =
  `The package 'react-native-neurosdk2' doesn't seem to be linked. Make sure: \n\n` +
  Platform.select({ ios: "- You have run 'pod install'\n", default: '' }) +
  '- You rebuilt the app after installing the package\n' +
  '- You are not using Expo Go\n';

// @ts-expect-error
const isTurboModuleEnabled = global.__turboModuleProxy != null;

const Neurosdk2Module = isTurboModuleEnabled
  ? require('./NativeNeurosdk2').default
  : NativeModules.Neurosdk2;

export const Neurosdk2 = Neurosdk2Module
  ? Neurosdk2Module
  : new Proxy(
      {},
      {
        get() {
          throw new Error(LINKING_ERROR);
        },
      }
    );


